> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.royalti.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Check File Decompression Status

> Checks the decompression/processing status of a file, particularly for files

<Note>
  This endpoint requires authentication. Include your Bearer token in the Authorization header.
</Note>

## Description

undergoing Dataflow decompression jobs.

This endpoint monitors files in 'decompressing' status and queries Google Cloud
Dataflow to check job completion. When a job completes, the file status is updated
to 'decompressed' and the file is moved to the processed folder.

**Status Validation:**

* Returns error if file is already 'processed' or 'decompressed'
* Only useful for files in 'decompressing' status

## Code Examples

<CodeGroup>
  ```javascript Node.js theme={null}
  const response = await fetch('https://api.royalti.io/file/example-id', {
    method: 'GET',
    headers: {
      'Authorization': `Bearer ${token}`,
    },
  });

  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
    'https://api.royalti.io/file/example-id',
    headers={
      'Authorization': f'Bearer {token}'
    },
  )

  data = response.json()
  print(data)
  ```

  ```bash cURL theme={null}
  curl -X GET https://api.royalti.io/file/example-id \
    -H "Authorization: Bearer YOUR_TOKEN" \

  ```
</CodeGroup>
